libQCSXCAD0-0.6.2-2.1.i586.rpm


Advertisement

Description

libQCSXCAD0 - Qt-GUI for CSXCAD library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libQCSXCAD0-0.6.2-2.1.i586.rpm
Package name libQCSXCAD0
Package version 0.6.2
Package release 2.1
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://openems.de
License LGPL-3.0-or-later
Maintainer -
Download size 581.76 KB
Installed size 953.31 KB
A Qt-GUI for the CSXCAD library.

Alternatives

Package Version Architecture Repository
libQCSXCAD0-0.6.2-24.2.x86_64.rpm 0.6.2 x86_64 Science
libQCSXCAD0-0.6.2-24.2.i586.rpm 0.6.2 i586 Science
libQCSXCAD0-0.6.2-2.1.x86_64.rpm 0.6.2 x86_64 openSUSE Oss
libQCSXCAD0 - - -

Requires

Name Value
/sbin/ldconfig -
libCSXCAD.so.0 -
libQt5Core.so.5 -
libQt5Core.so.5(Qt_5) -
libQt5Core.so.5(Qt_5.12) -
libQt5Gui.so.5 -
libQt5Gui.so.5(Qt_5) -
libQt5Widgets.so.5 -
libQt5Widgets.so.5(Qt_5) -
libQt5Xml.so.5 -
libQt5Xml.so.5(Qt_5) -
libc.so.6(GLIBC_2.1.3) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
libtinyxml.so.0 -
libvtkCommonCore.so.1 -
libvtkCommonDataModel.so.1 -
libvtkCommonExecutionModel.so.1 -
libvtkCommonTransforms.so.1 -
libvtkFiltersCore.so.1 -
libvtkFiltersGeneral.so.1 -
libvtkFiltersGeometry.so.1 -
libvtkFiltersModeling.so.1 -
libvtkFiltersSources.so.1 -
libvtkGUISupportQt.so.1 -
libvtkIOGeometry.so.1 -
libvtkIOImage.so.1 -
libvtkIOPLY.so.1 -
libvtkIOXML.so.1 -
libvtkInteractionStyle.so.1 -
libvtkInteractionWidgets.so.1 -
libvtkRenderingAnnotation.so.1 -
libvtkRenderingCore.so.1 -
libvtkRenderingFreeType.so.1 -
libvtkRenderingLOD.so.1 -
libvtkRenderingOpenGL2.so.1 -

Provides

Name Value
libQCSXCAD.so.0 -
libQCSXCAD0 = 0.6.2-2.1
libQCSXCAD0(x86-32) = 0.6.2-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libQCSXCAD0-0.6.2-2.1.i586.rpm
Source Package QCSXCAD-0.6.2-2.1.src.rpm

Install Howto

Install libQCSXCAD0 rpm package:

# zypper install libQCSXCAD0

Files

Path
/usr/lib/libQCSXCAD.so.0
/usr/lib/libQCSXCAD.so.0.6.2
/usr/share/doc/packages/libQCSXCAD0/NEWS
/usr/share/doc/packages/libQCSXCAD0/README
/usr/share/licenses/libQCSXCAD0/COPYING

Changelog

2019-04-04 - Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Add explicit devel BuildRequires for glew, lzma and double-conversion
2018-12-14 - Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 0.6.2
* cmake: fix vtk include dirs
* fix vtk polydata exports
- Add QCSXCAD-vtk.patch - fix build on TW, avoid implicitly requiring
all VTK modules, leading to missing libraries.
2018-06-18 - stefan.bruens@rwth-aachen.de
- Fix build with Qt5.11, cmake qt5_use_modules has been removed.
Add qt5_use_modules.diff.
- Use Qt5 on all releases, as VTK uses Qt5 everywhere as well.
2017-11-17 - stefan.bruens@rwth-aachen.de
- Change the Qt BuildRequires: for older distributions, Leap 42.x
has a VTK build with Qt4, use the same conditional as the VTK
package (i.e. Qt4 on Leap 42.x, Qt5 on TW and Leap 15.x)
2017-11-01 - stefan.bruens@rwth-aachen.de
- Add explicit BuildRequires for Qt5Sql/Qt5Widgets devel packages,
as these are no longer implicitly required by vtk-devel
2016-08-26 - jengelh@inai.de
- Update description, and license field to LGPL-3.0+.
2016-08-26 - dmitry_r@opensuse.org
- Update to version 0.6.1
* Bugfix release
- Drop obsolete
* QCSXCAD-vtk.patch
* QCSXCAD-vtk7-support.patch
2016-03-21 - dmitry_r@opensuse.org
- Fix build with VTK 7
* QCSXCAD-vtk7-support.patch
2015-11-08 - dmitry_r@opensuse.org
- Initial package, version 0.6.0
- Remove build time from binaries
* QCSXCAD-no-build-date.patch
- Fix build with VTK 6.3
* QCSXCAD-vtk.patch

See Also

Package Description
libQMatrixClient0_4-0.4.2.1-1.2.i586.rpm Library for Qt Matrix Clients
libQMatrixClient0_4-0.4.2.1-1.2.x86_64.rpm Library for Qt Matrix Clients
libQgpsmm24-3.18.1-1.4.i586.rpm Shared Qt library for GPS applications
libQgpsmm24-3.18.1-1.4.x86_64.rpm Shared Qt library for GPS applications
libQt53DAnimation-devel-5.12.3-1.1.i586.rpm Development files for the Qt 5 3D Animation library
libQt53DAnimation-devel-5.12.3-1.1.x86_64.rpm Development files for the Qt 5 3D Animation library
libQt53DAnimation5-32bit-5.12.3-1.1.x86_64.rpm Qt 5 3D Addon
libQt53DAnimation5-5.12.3-1.1.i586.rpm Qt 5 3D Addon
libQt53DAnimation5-5.12.3-1.1.x86_64.rpm Qt 5 3D Addon
libQt53DCore-devel-5.12.3-1.1.i586.rpm Development files for the Qt 5 Core 3D library
libQt53DCore-devel-5.12.3-1.1.x86_64.rpm Development files for the Qt 5 Core 3D library
libQt53DCore5-32bit-5.12.3-1.1.x86_64.rpm Qt 5 3D Addon
libQt53DCore5-5.12.3-1.1.i586.rpm Qt 5 3D Addon
libQt53DCore5-5.12.3-1.1.x86_64.rpm Qt 5 3D Addon
libQt53DExtras-devel-5.12.3-1.1.i586.rpm Development files for the Qt 5 3D Extras libary
Advertisement
Advertisement